%define language      japanese
%define Language      Japanese
%define langcode      ja
%define name          netscape-%{language}
%define version       4.78
%define nsversion     4.78
%define release       1mdk

Summary:              Netscape in %{Language}
Name:                 %{name}
Version:              %{version}
Release:              %{release}

Source0:              Netscape.%{langcode}.bz2
Source1:              nethelp-%{langcode}.tar.bz2

Copyright:            GPL
Group:                Networking/WWW
BuildRoot:            %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:            noarch
Requires:             locales-%{langcode}, netscape-common >= %{nsversion}
ExcludeArch: ia64

%description
This package contains the needed files to have Netscape's interface
and Netscape's NetHelp in %{Language} language.

%build
rm -rf %buildroot
mkdir -p %buildroot{%{_libdir}/netscape/%{langcode},%{_prefix}/X11R6/lib/X11/%{langcode}/app-defaults}

%install
bzip2 -cd %{SOURCE0} > %buildroot%{_prefix}/X11R6/lib/X11/%{langcode}/app-defaults/Netscape
bzip2 -cd %{SOURCE1} | tar xf - -C %buildroot%{_libdir}/netscape/%{langcode}
chmod -R u=rwx %buildroot

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%lang(%{langcode}) %config %{_prefix}/X11R6/lib/X11/%{langcode}/app-defaults/Netscape
%lang(%{langcode}) %dir %{_libdir}/netscape/%{langcode}
%lang(%{langcode}) %{_libdir}/netscape/%{langcode}/*


%changelog
* Fri Aug 10 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 4.78-1mdk
- Adapted to Netscape 4.78

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 4.77-2mdk
- ExcludeArch ia64

* Mon Apr 09 2001 David BAUDENS <baudens@mandrakesoft.com> 4.77-1mdk
- Adapted to Netscape 4.77

* Wed Dec 13 2000 David BAUDENS <baudens@mandrakesoft.com> 4.76-1mdk
- Adapted to Netscape 4.76

* Tue Oct  3 2000 Alexander Skwar <ASkwar@Linux-Mandrake.com> 4.75-1mdk
- First Mandrake version
- Used Redhats translation
- Used the netscape-german spec file as a template
